aboutsummaryrefslogtreecommitdiff
path: root/etc/schroot/setup.d/80append-apt-sources
diff options
context:
space:
mode:
authorRyan Kavanagh <rak@debian.org>2020-02-22 23:17:18 -0500
committerRyan Kavanagh <rak@debian.org>2020-02-22 23:17:18 -0500
commit4dbf6bdf061ee87e2855636ee263dd24f0777378 (patch)
tree19e144fc9e52953c112794684461f06cbe88ae86 /etc/schroot/setup.d/80append-apt-sources
parentcomment (diff)
more schroot config
Diffstat (limited to 'etc/schroot/setup.d/80append-apt-sources')
-rwxr-xr-xetc/schroot/setup.d/80append-apt-sources13
1 files changed, 13 insertions, 0 deletions
diff --git a/etc/schroot/setup.d/80append-apt-sources b/etc/schroot/setup.d/80append-apt-sources
new file mode 100755
index 0000000..953a5b1
--- /dev/null
+++ b/etc/schroot/setup.d/80append-apt-sources
@@ -0,0 +1,13 @@
+#!/bin/sh
+# /etc/schroot/setup.d/80apt-get-update
+
+EXTRA_APT_SOURCES="/etc/schroot/sources.list.d/${CHROOT_NAME}.sources.list"
+APT_PREFS="/etc/schroot/sources.list.d/${CHROOT_NAME}.preferences"
+
+if [ -f "EXTRA_APT_SOURCES" -a $1 = "setup-start" ]; then
+ if : || [ "$AUTH_VERBOSITY" = "verbose" ]; then
+ chroot "${CHROOT_PATH}" apt-get update >&2 || true
+ else
+ chroot "${CHROOT_PATH}" apt-get update >/dev/null || true
+ fi
+fi